%if 0%{?fedora} > 12 || 0%{?rhel} > 7
%bcond_without python3
%else
%bcond_with python3
%endif

%global modname mccabe

Name:               python-mccabe
Version:            0.5.2
Release:            1%{?dist}
Summary:            McCabe complexity checker

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/mccabe
Source0:            https://files.pythonhosted.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz
Patch0:             %{modname}-0.5.0-no-pytest-runner.patch

BuildArch:          noarch
BuildRequires:      python2-devel, python-setuptools
BuildRequires:      pytest

%if 0%{?with_python3}
BuildRequires:      python3-devel, python3-setuptools
BuildRequires:      python3-pytest
%endif

%description
Ned's script to check McCabe complexity.

This module provides a plugin for ``flake8``, the Python code
checker.

%if 0%{?with_python3}
%package -n python3-mccabe
Summary:            McCabe checker, plugin for flake8
Group:              Development/Libraries

%description -n python3-mccabe
Ned's script to check McCabe complexity.

This module provides a plugin for ``flake8``, the Python code
checker.
%endif

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
py.test
%if 0%{?with_python3}
pushd %{py3dir}
py.test-3
popd
%endif

%files
%doc README.rst
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-mccabe
%doc README.rst
%{python3_sitelib}/%{modname}.py*
%{python3_sitelib}/%{modname}-%{version}-*
%{python3_sitelib}/__pycache__/%{modname}.*

%endif

%changelog
* Sun Aug 14 2016 Ville Skyttä <ville.skytta@iki.fi> - 0.5.2-1
- Update to 0.5.2

* Sat Aug 13 2016 Ville Skyttä <ville.skytta@iki.fi> - 0.5.0-3
- Add python3-pytest build dep, patch to build/test without pytest-runner

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 01 2016 Matěj Cepl <mcepl@redhat.com> - 0.5.0-1
- Upstream upgrade

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Matěj Cepl <mcepl@redhat.com> - 0.4.0-1
- Upstream upgrade

* Fri Nov 06 2015 Robert Kuska <rkuska@redhat.com> - 0.2.1-8
- Rebuilt for Python3.5 rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Apr 29 2014 Matěj Cepl <mcepl@redhat.com> - 0.2.1-4
- Fix building on RHEL-7 (we really don’t have Python3)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 Matěj Cepl <mcepl@redhat.com> 0.2.1-2
- Fix %%changelog.

* Sun Apr 14 2013 Matěj Cepl <mcepl@redhat.com> 0.2.1-1
- initial package for Fedora
